NativeSQLQuerySpecification (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.query.spi.sql
Class NativeSQLQuerySpecification

    java.lang.Object
      org.hibernate.engine.query.spi.sql.NativeSQLQuerySpecification

    public class NativeSQLQuerySpecification

extends Object

Defines the specification or blue-print for a native-sql query. Essentially a simple struct containing the information needed to "translate" a native-sql query and cache that translated representation. Also used as the key by which the native-sql query plans are cached.

Constructor Summary
`NativeSQLQuerySpecification(String queryString, NativeSQLQueryReturn[] queryReturns, Collection querySpaces)`

Method Summary
`boolean` | `equals(Object o)`
`NativeSQLQueryReturn[]` | `getQueryReturns()`
`Set` | `getQuerySpaces()`
`String` | `getQueryString()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NativeSQLQuerySpecification

    public NativeSQLQuerySpecification(String queryString,
                                       NativeSQLQueryReturn[] queryReturns,
                                       Collection querySpaces)

Method Detail

### getQueryString

    public String getQueryString()

### getQueryReturns

    public NativeSQLQueryReturn[] getQueryReturns()

### getQuerySpaces

    public Set getQuerySpaces()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.